Package ru.bitel.bgbilling.modules.tv.common.event

# Class TvAccountCreatedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.modules.tv.common.event.TvAccountCreatedEvent

All Implemented Interfaces:
  `Serializable`

public class TvAccountCreatedEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Событие о том, что аккаунт создан и синхронизирован с MW.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TvAccountCreatedEvent()`
  ``
  `TvAccountCreatedEvent(int moduleId, int contractId, int deviceId, int tvAccountId, String deviceAccountId, short state, Set<Integer> optionSet)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDeviceAccountId()`
  `int`
  `getDeviceId()`
  `Set<Integer>`
  `getDeviceOptionIds()`
  `short`
  `getDeviceState()`
  `int`
  `getTvAccountId()`
  `protected void`
  `toString(StringBuilder sb)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TvAccountCreatedEvent

    protected TvAccountCreatedEvent()

  - ### TvAccountCreatedEvent

    public TvAccountCreatedEvent(int moduleId, int contractId, int deviceId, int tvAccountId, String deviceAccountId, short state, Set<Integer> optionSet)

- ## Method Details

  - ### getDeviceId

    public int getDeviceId()

  - ### getTvAccountId

    public int getTvAccountId()

  - ### getDeviceAccountId

    public String getDeviceAccountId()

  - ### getDeviceState

    public short getDeviceState()

  - ### getDeviceOptionIds

    public Set<Integer> getDeviceOptionIds()

  - ### toString

    protected void toString(StringBuilder sb)
    Overrides:
      `toString` in class `ru.bitel.bgbilling.kernel.event.common.Event`